%define _name warehouse
%define ver_major 2.0
%define rdn_name io.github.flattool.Warehouse

# online screenshots
%def_disable check

Name: %_name
Version: %ver_major.2
Release: alt1

Summary: Flatpak manager for GNOME
License: GPL-3.0-or-later
Group: System/Configuration/Packaging
Url: https://github.com/flattool/warehouse

Vcs: https://github.com/flattool/warehouse.git

Source: %name-%version.tar

BuildArch: noarch

%add_python3_path %_datadir/%_name

Requires: dconf flatpak-spawn
Requires: typelib(Adw) = 1

BuildRequires(pre): rpm-macros-meson rpm-build-python3 rpm-build-gir
BuildRequires: meson blueprint-compiler typelib(Adw)
BuildRequires: /usr/bin/glib-compile-resources
%{?_enable_check:BuildRequires: /usr/bin/desktop-file-validate /usr/bin/appstreamcli /usr/bin/glib-compile-schemas}

%description
Warehouse is an app that manages installed Flatpaks, their user data,
and Flatpak remotes.

%prep
%setup
# with appstream-util "Validate appstream file" failed
sed -i "s/\('appstream\)-util'/\1cli'/" data/meson.build

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%check
%__meson_test

%files -f %name.lang
%attr(0755,root,root) %_bindir/%name
%_datadir/%name/
%_desktopdir/%rdn_name.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/glib-2.0/schemas/%rdn_name.gschema.xml
%_datadir/metainfo/%rdn_name.metainfo.xml
%doc README*

%changelog
* Tue Jan 07 2025 Yuri N. Sedunov <aris@altlinux.org> 2.0.2-alt1
- 2.0.2

* Sat Dec 14 2024 Yuri N. Sedunov <aris@altlinux.org> 2.0.1-alt1
- 2.0.1

* Tue Oct 29 2024 Yuri N. Sedunov <aris@altlinux.org> 2.0.0-alt1
- updated to 2.0.0-2-g2fd24f3

* Fri Sep 20 2024 Yuri N. Sedunov <aris@altlinux.org> 1.6.5-alt1
- 1.6.5

* Sun Jul 07 2024 Yuri N. Sedunov <aris@altlinux.org> 1.6.4-alt1
- 1.6.4

* Thu Jul 04 2024 Yuri N. Sedunov <aris@altlinux.org> 1.6.3-alt1
- 1.6.3

* Tue Jun 04 2024 Yuri N. Sedunov <aris@altlinux.org> 1.6.2-alt1
- first build for Sisyphus



